import { PagedOperationResponse } from "../../store/deployApi";
import { Chip } from "@mui/material";
import { JobGitRefIcon } from "./JobGitRefIcon";
import { JobGitRefLink } from "./JobGitRefLink";

interface JobRevisionChipProps {
  job: PagedOperationResponse;
}

export const JobRevisionChip = ({ job }: JobRevisionChipProps) => {
  return (
    <Chip
      sx={{
        padding: "8px",
        gap: "4px",
        "& .MuiChip-label": {
          paddingLeft: "0",
          paddingRight: "0"
        }
      }}
      size="small"
      icon={<JobGitRefIcon job={job} />}
      label={
        <JobGitRefLink
          job={job}
          disableExternalLinkIcon
        />
      }
    />
  );
};
