import { Stack, Typography } from "@mui/material";
import { InternalLink } from "@ess-ics/ce-ui-common";
import { JobTypeIconText, JOB_TYPES } from "../JobIcons";
import { JobRevisionChip } from "../JobRevisionChip";

export const JobDetailsColumn = ({ job }) => (
  <Stack>
    <JobTypeIconText type={job.type} />
    {job.type !== JOB_TYPES.BATCH_DEPLOY &&
    job.type !== JOB_TYPES.BATCH_UNDEPLOY ? (
      <Stack>
        <Stack
          flexDirection="row"
          gap={1}
          alignItems="center"
          flexWrap="wrap"
        >
          <InternalLink
            to={`/iocs/${job.iocId}`}
            label={`IOC Details, ${job.iocName}`}
          >
            {job.iocName}
          </InternalLink>
          {job.type === JOB_TYPES.DEPLOY && <JobRevisionChip job={job} />}
        </Stack>
        <Stack
          flexDirection="row"
          gap={1}
          alignItems="baseline"
          flexWrap="wrap"
        >
          <InternalLink
            to={`/hosts/${job?.host?.hostId}`}
            label={`Host details, ${job.host?.hostName}`}
          >
            {job.host.hostName}
          </InternalLink>
          <Typography variant="body2">{job.host.network}</Typography>
        </Stack>
      </Stack>
    ) : (
      <Stack>
        <Typography variant="body2">{job.noOfIOCs} IOCs</Typography>
        <Typography variant="body2">{job.noOfHosts} Hosts</Typography>
      </Stack>
    )}
  </Stack>
);
